/******************************************************************************/
/*Files to Include                                                            */
/******************************************************************************/

#include <xc.h>            
#include "user.h"

/******************************************************************************/
/* Interrupt Routines                                                         */
/******************************************************************************/

/* High-priority service */
void interrupt my_isr(void)
{

      /* This code stub shows general interrupt handling.  Note that these
      conditional statements are not handled within 3 separate if blocks.
      Do not use a separate if block for each interrupt flag to avoid run
      time errors. */
	

#if 1
    
      /* TODO Add High Priority interrupt routine code here. */
    if (automode)
    {
        
     
      
      /* Determine which flag generated the interrupt */
      if(IOCAFbits.IOCAF5 && INTCONbits.IOCIE )
      {
        //  IOCAFbits.IOCAF5=0;
          INTCONbits.IOCIF = 0; /* Clear Interrupt Flag 1 */
          
          if (!txon)
          {
                DE_LAT = 1;
                CLC1CONbits.LC1EN = 1;
                CLC1CONbits.LC1OE = 1;
                INTCONbits.IOCIE = 0;
                txon = 1;
                TMR0 = 0;
                INTCONbits.T0IE=1;
                INTCONbits.T0IF=0;
          }
          
      }
     if(INTCONbits.T0IF)
          {
              if(!IOCAFbits.IOCAF5)
              {    
                INTCONbits.T0IE = 0;
            
              DE_LAT = 0;
              CLC1CONbits.LC1EN = 0;
              CLC1CONbits.LC1OE = 0;
              txon = 0;
              
              INTCONbits.IOCIE=1;
              IOCAFbits.IOCAF5=0;
              INTCONbits.IOCIF=0;
              }
              else
              IOCAFbits.IOCAF5=0;    
              
             INTCONbits.T0IF = 0;  
          }
    
    }
  /*  else
    {
        INTCONbits.GIE=0;
    } */
#endif

}

/* Low-priority interrupt routine */
#if 0
void low_priority interrupt low_isr(void)
{

      /* This code stub shows general interrupt handling.  Note that these
      conditional statements are not handled within 3 seperate if blocks.
      Do not use a seperate if block for each interrupt flag to avoid run
      time errors. */

#if 0

      /* TODO Add Low Priority interrupt routine code here. */

      /* Determine which flag generated the interrupt */
      if(<Interrupt Flag 1>)
      {
          <Interrupt Flag 1=0>; /* Clear Interrupt Flag 1 */
      }
      else if (<Interrupt Flag 2>)
      {
          <Interrupt Flag 2=0>; /* Clear Interrupt Flag 2 */
      }
      else
      {
          /* Unhandled interrupts */
      }

#endif

}
#endif